extend ../../../../ComponentesPug/FormulariosSinListados/Plantilla2.pug

block variables
  - var Titulo = "{{ tTitulo }}"

block contenido
  div.form-row
    div.ContenedorOrdenes
      div.form-row
        div.form-group.col-12.d-flex.justify-content-center.bg-light.rounded
          ul.nav.mt-1.mb-1
            li.nav-item
              button(type="button",
                    [ngClass]="{'disabled': tMostrarOrdenes === true }",
                    (click)="MostrarOrdenes()").btn.btn-link
                span.badge.badge-danger.mr-1 {{tOrdenes.length}}
                span.text-xs Ordenes
            li.nav-item
              button(type="button",
                    [ngClass]="{'disabled': tMostrarPreOrdenes === true }",
                    (click)="MostrarPreOrdenes()").btn.btn-link
                span.badge.badge-danger.mr-1 {{tPreordenes.length}}
                span.text-xs Pre-Ordenes
            li.nav-item
              button(type="button",
                    [ngClass]="{'disabled': tMostrarMisOrdenes === true }",
                    (click)="MostrarMisOrdenes()").btn.btn-link
                span.badge.badge-danger.mr-1 {{tMisOrdenes.length}}
                span.text-xs Mis ordenes
      div(*ngIf="tMostrarOrdenes === true").form-row
        div.form-group.col-12
          app-fw-pedidos-listado([Pedidos]="tOrdenes",
                                (Seleccionar)="Seleccionar($event)")
      div(*ngIf="tMostrarPreOrdenes === true").form-row
        div.form-group.col-12
          app-fw-pedidos-listado([Pedidos]="tPreordenes",
                                (Seleccionar)="Seleccionar($event)")
      div(*ngIf="tMostrarMisOrdenes === true").form-row
        div.form-group.col-12
          app-fw-pedidos-listado([Pedidos]="tMisOrdenes",
                                (Seleccionar)="Seleccionar($event)")
    div.ContenedorOrden
      app-fw-pedidos-datos([Cliente]="tClienteActual",
                            [Pedido]="tClientePedidoActual",
                            [Empresa]="tEmpresaActual",
                            (Seleccionar)="ModalClientes($event)")
      div.form-row
        div.form-group.col-12
          ul(role="tablist").nav.nav-tabs
            li.nav-item
              a(data-toggle="tab",
                  href="#Articulos",
                  role="tab",
                  aria-controls="Articulos",
                  aria-selected="true")#Articulos-tab.nav-link.active Artículos
            li.nav-item
              a(data-toggle="tab",
                  href="#Cupones",
                  role="tab",
                  aria-controls="Cupones",
                  aria-selected="true")#Cupones-tab.nav-link Cupones
            li.nav-item
              a(data-toggle="tab",
                  href="#Colecciones",
                  role="tab",
                  aria-controls="Colecciones",
                  aria-selected="true")#Colecciones-tab.nav-link Colecciones
      div.form-row
        div.form-group.col-12
          div.tab-content#mvDatos
            div(role="tabpanel", aria-labelledby="Articulos-tab").tab-pane.fade.show.active#Articulos
              app-fw-pedidos-articulos([Cliente]="tClienteActual",
                                      [(Pedido)]="tClientePedidoActual",
                                      [Empresa]="tEmpresaActual",
                                      (BuscarPedido)="Buscar_Pedido($event)",
                                      (ModificarArticulo)="ModificarArticulo($event)",
                                      (EliminarArticulo)="EliminarArticulo($event)")
            div(role="tabpanel", aria-labelledby="Cupones-tab").tab-pane.fade#Cupones
              app-fw-pedidos-cupones
            div(role="tabpanel", aria-labelledby="Colecciones-tab").tab-pane.fade#Colecciones
              app-fw-pedidos-colecciones([Cliente]="tClienteActual",
                                        [(Pedido)]="tClientePedidoActual",
                                        [Empresa]="tEmpresaActual",
                                        (BuscarPedido)="Buscar_Pedido($event)")
      div.form-row
        div.form-group.col-12.text-right
          button(type="button", (click)="Cancelar()").btn.btn-secondary.btn-icon-split.mr-2
            span.icon.text-white-50
              i.fas.fa-times
            span.text Limpiar
          button(type="button", (click)="Anular()").btn.btn-danger.btn-icon-split.ml-2.mr-2
            span.icon.text-white-50
              i.fas.fa-trash-alt
            span.text Anular
          button(type="button",
                *ngIf="tClientePedidoActual.Tipo === 'PREORDEN' && tClientePedidoActual.Estatus === 'CERRADO'",
                (click)="Aprobar()").btn.btn-primary.btn-icon-split.ml-2.mr-2
            span.icon.text-white-50
              i.fas.fa-handshake
            span.text Aprobar
          button(type="button",
                *ngIf="tClientePedidoActual.Tipo === 'PREORDEN' && tClientePedidoActual.Estatus === 'ACTIVO'",
                (click)="Cerrar()").btn.btn-primary.btn-icon-split.ml-2.mr-2
            span.icon.text-white-50
              i.fas.fa-door-closed
            span.text Cerrar
          button(type="button",
                *ngIf="tClientePedidoActual.Tipo === 'ORDEN'",
                (click)="AbrirModalFacturacion()").btn.btn-primary.btn-icon-split.ml-2
            span.icon.text-white-50
              i.fas.fa-handshake
            span.text Facturar

